---
dependencies:

  # install nodejs
  - role: nodejs

  # install caddy and configure it as reverse proxy
  - role: caddy
    vars:
      caddy_config: |
        {{hostname}}
        encode gzip
        reverse_proxy /api/* 127.0.0.1:31337
        root * /srv/up1/up1/client
        file_server
